## myrepos 1.20130826

=== Makefile ===
PREFIX:=/usr

mans=mr.1 webcheckout.1

build: $(mans)

mr.1: mr
	pod2man -c mr mr > mr.1

webcheckout.1: webcheckout
	pod2man -c webcheckout webcheckout > webcheckout.1

test:
	(echo "[.]"; echo "checkout=") > mrconfig.tmp
	./mr --trust-all -c mrconfig.tmp ed | grep -q "horse"
	rm -f mrconfig.tmp

install: build
	install -d ${DESTDIR}${PREFIX}/bin
	install -d ${DESTDIR}${PREFIX}/share/man/man1
	install -d ${DESTDIR}${PREFIX}/share/mr

	install -m0755 mr ${DESTDIR}${PREFIX}/bin/
	install -m0755 webcheckout ${DESTDIR}${PREFIX}/bin/

	install -m0644 mr.1 ${DESTDIR}${PREFIX}/share/man/man1/
	install -m0644 webcheckout.1 ${DESTDIR}${PREFIX}/share/man/man1/

	install -m0644 lib/* ${DESTDIR}${PREFIX}/share/mr/

clean:
	rm -f $(mans)

## myrepos 1.20130710

=== debian/changelog ===
myrepos (1.20130710) unstable; urgency=low

  * Avoid conflicting with mr so the dummy package can be installed and pull
    in this one.

 -- Joey Hess <joeyh@debian.org>  Wed, 10 Jul 2013 13:50:48 -0400

myrepos (1.20130705.1) unstable; urgency=low

  * Conflict and Replaces mr.

 -- Joey Hess <joeyh@debian.org>  Fri, 05 Jul 2013 16:55:30 -0400

myrepos (1.20130705) unstable; urgency=low

  * The package is renamed to myrepos. It Provides mr, so can still be
    installed by that name. The mr command is not renamed.
  * Add make install rule.
    Thanks, v4hn

 -- Joey Hess <joeyh@debian.org>  Fri, 05 Jul 2013 14:42:39 -0400

mr (1.15) unstable; urgency=low

  * Added lib/repo, for support for repo (as used in Android)
    Closes: #705652 Thanks, Peter Eisentraut
  * Better cvs status.
    Closes: #694037 Thanks, Paul Wise

 -- Joey Hess <joeyh@debian.org>  Sat, 04 May 2013 23:47:50 -0400

mr (1.14) unstable; urgency=low

  * Added a fetch command. Closes: #480580
  * status: Now includes information about unpushed changes,
    for git, git-svn, hg, and bzr. Closes: #693021
  * Added lib/vis, an add-on to visualise repo history.
    Closes: #693022 Thanks, Paul Wise
  * Drop an extra -m from various commit/record commands.
    Closes: #695478 Thanks, Paul Wise

 -- Joey Hess <joeyh@debian.org>  Wed, 13 Feb 2013 14:48:34 -0400

mr (1.13) unstable; urgency=low

  * Pass -q to cvs diff and update. Closes: #673367
  * mr bootstrap: Now supports ssh:// urls.
  * Simpler vcsh status command line. Closes: #685089
  * Add grep subcommand. Uses ack-grep on VCS that do not have their own.
    Closes: #685122

 -- Joey Hess <joeyh@debian.org>  Sat, 25 Aug 2012 11:14:41 -0400

mr (1.12) unstable; urgency=low

  * Ignore nonzero exit status of hg pull, which can happen
    when there were no changes to pull. Closes: #661870 
  * Add vcsh to Suggests.
  * Recognize a repo with a .git file as a git repo.
  * Improve bzr register's heuristics to determine upstream repo.
    Closes: #672843

 -- Joey Hess <joeyh@debian.org>  Mon, 14 May 2012 10:42:52 -0400

mr (1.11) unstable; urgency=low

  * Now supports the veracity vcs. Thanks, Jimmy Tang.
  * vcsh is now supported without including a plugin.
  * After checkout, run fixups chdired to the just checked out directory.

 -- Joey Hess <joeyh@debian.org>  Tue, 14 Feb 2012 18:13:29 -0400

mr (1.10) unstable; urgency=low

  * Fix display of trust errors.

 -- Joey Hess <joeyh@debian.org>  Tue, 27 Dec 2011 12:13:15 -0400

mr (1.09) unstable; urgency=low

  * Remove dir_test hack and add a way for vcs tests to run perl code,
    using this for the same optimisation. Fixes support for git-svn
    etc. Closes: #652317

 -- Joey Hess <joeyh@debian.org>  Fri, 16 Dec 2011 13:29:40 -0400

mr (1.08) unstable; urgency=low

  * Fix vcs test code. Closes: #651976

 -- Joey Hess <joeyh@debian.org>  Tue, 13 Dec 2011 16:21:19 -0400

mr (1.07) unstable; urgency=low

  * Added support for vcsh, enable with: include = cat /usr/share/mr/vcsh
    Thanks, Richard Hartmann 
  * Block tty control codes in untrusted mr config files.
  * Correct printing of line numbers when includes are used. Closes: #650952
  * The previous fix for chaining to absolute paths broke chaining to relative
    paths with more than one path segment. Thanks, Adam Spiers
  * Support _append to add on to the existing value of a parameter.
    Thanks, Adam Spiers
  * Optimizations. Commands like "mr list" run up to 5 times faster.
  * Fix shell escaping of parameters passed to mr commands. Closes: #644672
  * Added --force option that disables repository skipping.
  * Repositories using skip = lazy will not be checked out by "mr update"
    or "mr checkout" unless --force is used.

 -- Joey Hess <joeyh@debian.org>  Mon, 12 Dec 2011 15:52:16 -0400

mr (1.06) unstable; urgency=low

  * Fix propigation of failure from pre and post hooks and from fixups.
  * Support chaining to absolute paths.
  * Add support for skip = lazy, a mode where mr only operates on repositories
    that are checked out.

 -- Joey Hess <joeyh@debian.org>  Fri, 04 Nov 2011 17:03:17 -0400

mr (1.05) unstable; urgency=low

  * README now gives a quick into to using mr.
  * Brought back the "deleted" parameter, which provides an easy way to
    mark repositories that should be removed.
  * Allow untrusted mrconfig files to set parameters to true/false.
    So skip=true or deleted=true can be used in an untrusted mrconfig file.
  * Also allow order=N in an untrusted mrconfig file.
  * Support bzr checkouts, which are updated with "bzr update",
    and to which bzr automatically pushes commits. Closes: #643589
  * Use bzr branch, not deprecated bzr clone when registering bzr
    repositories. Closes: #643591
  * Allow bzr branch|clone|get|checkout in untrusted mrconfig files.
  * Avoid using sed -r in git-fake-bare, for OSX portability.
  * git-fake-bare: handle fake bare repositories with core.bare not set
    (Thanks, Julien Rebetez)

 -- Joey Hess <joeyh@debian.org>  Tue, 27 Sep 2011 17:28:35 -0400

mr (1.04) unstable; urgency=low

  * Improve trust errors displayed while bootstrapping. Closes: #628234
  * Allow mr register to be used with mrconfig file that does not yet
    exist. Closes: #629217

 -- Joey Hess <joeyh@debian.org>  Sun, 19 Jun 2011 15:52:42 -0400

mr (1.03) unstable; urgency=low

  * Added git-subtree library. Thanks, Svend Sorensen
  * Now --quiet supresses all output from commands run, as well
    as from mr, unless a command fails. Closes: #529296

 -- Joey Hess <joeyh@debian.org>  Sun, 01 May 2011 19:09:35 -0400

mr (1.02) unstable; urgency=low

  * Fix bug in escaping.

 -- Joey Hess <joeyh@debian.org>  Sat, 22 Jan 2011 01:18:23 -0400

mr (1.01) unstable; urgency=low

  * Add "mr run", which can run an arbitrary command in each repository.

 -- Joey Hess <joeyh@debian.org>  Thu, 20 Jan 2011 16:50:49 -0400

mr (1.00) unstable; urgency=low

  * Trust flag day. All mrconfig files except the main ~/.mrconfig are


=== debian/control ===
Source: myrepos
Section: vcs
Priority: optional
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9.0)
Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.9.4
Homepage: http://myrepos.branchable.com/
Vcs-Git: git://myrepos.branchable.com/

Package: myrepos
Architecture: all
Section: vcs
Depends: ${misc:Depends}
Suggests: subversion, git-core | git (>= 1:1.7), cvs, bzr, mercurial, darcs, fossil, vcsh, liburi-perl, curl
Provides: mr
Replaces: mr
Recommends: libwww-perl, libhtml-parser-perl, perl
Description: tool to manage all your version control repos
 The mr(1) command can checkout, update, or perform other actions on
 a set of repositories as if they were one combined respository. It
 supports any combination of git, svn, mercurial, bzr, darcs, cvs, vcsh,
 fossil, and veracity repositories, and support for other version control
 systems can easily be added. (There are extensions adding support for unison
 and git-svn, among others.)
 .
 It is extremely configurable via simple shell scripting. Some examples
 of things it can do include:
 .
  * Update a repository no more frequently than once every twelve hours.
  * Run an arbitrary command before committing to a repository.
  * When updating a git repository, pull from two different upstreams
    and merge the two together.
  * Run several repository updates in parallel, greatly speeding up
    the update process.
  * Remember actions that failed due to a laptop being offline, so they
    can be retried when it comes back online.
  .
  This package also includes the webcheckout command.

## myrepos 1.20130826

=== debian/changelog ===
myrepos (1.20130826) unstable; urgency=low

  * Update of manpage and Suggests field for 'mr grep'.
    Closes: #720128

 -- Joey Hess <joeyh@debian.org>  Mon, 26 Aug 2013 12:32:39 -0400

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Architecture: all
 Section: vcs
 Depends: ${misc:Depends}
-Suggests: subversion, git-core | git (>= 1:1.7), cvs, bzr, mercurial, darcs, fossil, vcsh, liburi-perl, curl
+Suggests: subversion, git-core | git (>= 1:1.7), cvs, bzr, mercurial, darcs, fossil, vcsh, liburi-perl, curl, ack-grep
 Provides: mr
 Replaces: mr
 Recommends: libwww-perl, libhtml-parser-perl, perl

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

# Not intended for use by anyone except the author.
announcedir:
	@echo ${HOME}/src/myrepos/doc/news

## myrepos 1.20140613

=== debian/changelog ===
myrepos (1.20140613) unstable; urgency=medium

  * Added lib/git-annex. Thanks, martin f krafft.
    Closes: #743882
  * Make mr help work even if the mrconfig file is busted.
    Thanks, Lorenzo Cappelletti
  * Support "vcsh clone url repo" as trusted checkout syntax,
    while still supporting the old syntax.
  * bootstrap: Support reading bootstrap mrconfig file from both a local
    file, and from stdin.
    Thanks, Lorenzo Cappelletti

 -- Joey Hess <joeyh@debian.org>  Fri, 13 Jun 2014 12:02:18 -0400

myrepos (1.20140227) unstable; urgency=medium

  * Avoid using man -l, relying on both versions of man for linux working
    when a file is passed, with no switches.
  * When blocking control codes in untrusted mrconfig files, ignore
    ones inside comments. (Thanks, Philipp Ittershagen)

 -- Joey Hess <joeyh@debian.org>  Thu, 27 Feb 2014 12:03:22 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9.0)
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://myrepos.branchable.com/
 Vcs-Git: git://myrepos.branchable.com/

## myrepos 1.20141024~bpo70+1

=== debian/changelog ===
myrepos (1.20141024~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 07 Nov 2014 13:47:23 +0100

myrepos (1.20141024) unstable; urgency=medium

  * Fix name for vcsh_clean. Closes: #766655

 -- Joey Hess <joeyh@debian.org>  Fri, 24 Oct 2014 13:10:50 -0400

myrepos (1.20141023) unstable; urgency=medium

  * Add darcs grep command using ack-grep.
    Thanks, Paul Wise.
  * Add a clean command.
    Thanks, Paul Wise. Closes: #702685

 -- Joey Hess <joeyh@debian.org>  Thu, 23 Oct 2014 22:17:25 -0400

myrepos (1.20140831.1) unstable; urgency=medium

  * Fix breakage introduced by --minimal patch.

 -- Joey Hess <joeyh@debian.org>  Sun, 31 Aug 2014 14:05:56 -0700

myrepos (1.20140831) unstable; urgency=medium

  * Deal with abs_path change in new version of perl, now it returns undefined
    when the directory does not exist.
  * Added --minimal mode. Closes: #694031 Thanks, Paul Wise.
  * Use libio-pty-easy-perl when available when captuting command output
    (for --minimal or -jN), so that programs that output color to terminals
    will be colorized. This is only a recommends as it will fall back to
    the old method. Thanks, Paul Wise.

 -- Joey Hess <joeyh@debian.org>  Sun, 31 Aug 2014 13:20:24 -0700

## myrepos 1.20141024

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
 Architecture: all
 Section: vcs
 Depends: ${misc:Depends}
-Suggests: subversion, git-core | git (>= 1:1.7), cvs, bzr, mercurial, darcs, fossil, vcsh, liburi-perl, curl, ack-grep
+Suggests: subversion, subversion-tools, git-core | git (>= 1:1.7), cvs, kdesdk-scripts, bzr, mercurial, darcs, fossil, vcsh, liburi-perl, curl, ack-grep
 Provides: mr
 Replaces: mr
-Recommends: libwww-perl, libhtml-parser-perl, perl
+Recommends: libwww-perl, libhtml-parser-perl, libio-pty-easy-perl, perl
 Description: tool to manage all your version control repos
  The mr(1) command can checkout, update, or perform other actions on
  a set of repositories as if they were one combined respository. It

## myrepos 1.20141024.1

=== debian/changelog ===
myrepos (1.20141024.1) unstable; urgency=medium

  * Taking over package maintenance from Joey. This sucks.

 -- Richard Hartmann <richih@debian.org>  Sun, 09 Nov 2014 23:56:02 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: vcs
 Priority: optional
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9.0)
-Maintainer: Joey Hess <joeyh@debian.org>
+Maintainer: Richard Hartmann <richih@debian.org>
 Standards-Version: 3.9.5
 Homepage: http://myrepos.branchable.com/
 Vcs-Git: git://myrepos.branchable.com/

## myrepos 1.20150503

=== debian/changelog ===
myrepos (1.20150503) unstable; urgency=medium

  [ Joey Hess ]
  * Rework help command to work on OpenBSD.

  [ Richard Hartmann ]
  * Check if unsafe ENV variables are set
  * Add support for setting jobs via config file
  * Add support for fossil >= 1.23
  * Bump Standards-Version to 3.9.6

 -- Richard Hartmann <richih@debian.org>  Sun, 03 May 2015 20:57:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9.0)
 Maintainer: Richard Hartmann <richih@debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://myrepos.branchable.com/
 Vcs-Git: git://myrepos.branchable.com/

## myrepos 1.20151206

=== debian/changelog ===
myrepos (1.20151206) unstable; urgency=medium

  [ Paul Wise]
  * Improve output handling
  * Clean up debian/control
  * Fix typos

 -- Richard Hartmann <richih@debian.org>  Sun, 06 Dec 2015 07:11:40 +0100

myrepos (1.20151101) UNRELEASED; urgency=medium

  * Allow running of mr via `mr --force-env` when within vcsh context via
    `vcsh enter foo`. Closes: #786736

 -- Richard Hartmann <richih@debian.org>  Sun, 01 Nov 2015 22:17:34 +0100

myrepos (1.20151023) UNRELEASED; urgency=medium

  * hg push exits 1 on non-error, apparently only 255 is used for actual errors.
    Deal with this unusual behavior. Thanks, Ivan Perez.
  * Work when HOME is a symlink. Closes: #793381

 -- Joey Hess <id@joeyh.name>  Sun, 08 Nov 2015 12:07:00 -0400

myrepos (1.20151022) unstable; urgency=medium

  * mr status in a git repo now includes git stash list in the output,
    to remind you if you have any stashes. If your workflow involves
    making lots of stashes and not cleaning them up, you may be better served
    by switching from "git stash apply" to "git stash pop". Of course,
    you can also override git_status in your mrconfig file and remove the
    stash list.
  * Fix bootstrap from local source files.
    Thanks, Fabrice Benhamouda.
  * Pass user-specified command-line arguments to mr fetch commands too.
    Thanks, Paul Wise.
  * Make output continuous in minimal mode when there is only one job.
    Thanks, Paul Wise.
  * Simplify mr help by using perldoc, rather than man.
  * On some platforms, abs_path crashes when the file does not exist.
    Wrap it for safety.

 -- Joey Hess <id@joeyh.name>  Thu, 22 Oct 2015 00:49:29 -0400

## myrepos 1.20160123

=== debian/changelog ===
myrepos (1.20160123) unstable; urgency=medium

  * Basically just package what Joey did.

 -- Richard Hartmann <richih@debian.org>  Sat, 23 Jan 2016 14:22:44 +0100

myrepos (1.20160122) unstable; urgency=medium

  * Fix one missing call to safe_abs_path.
    Thanks, Chris Arndt

 -- Joey Hess <id@joeyh.name>  Fri, 22 Jan 2016 18:44:56 -0400

myrepos (1.20151101) unstable; urgency=medium

  * Allow running of mr via `mr --force-env` when within vcsh context via
    `vcsh enter foo`. Closes: #786736

 -- Richard Hartmann <richih@debian.org>  Sun, 01 Nov 2015 22:17:34 +0100

myrepos (1.20151023) unstable; urgency=medium

  * hg push exits 1 on non-error, apparently only 255 is used for actual errors.
    Deal with this unusual behavior. Thanks, Ivan Perez.
  * Work when HOME is a symlink. Closes: #793381

 -- Joey Hess <id@joeyh.name>  Sun, 08 Nov 2015 12:07:00 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: myrepos
 Section: vcs
 Priority: optional
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9.0)
+Build-Depends:
+ debhelper (>= 9),
+ dpkg-dev (>= 1.9.0)
 Maintainer: Richard Hartmann <richih@debian.org>
 Standards-Version: 3.9.6
 Homepage: http://myrepos.branchable.com/
@@ -10,11 +12,31 @@
 Package: myrepos
 Architecture: all
 Section: vcs
-Depends: ${misc:Depends}
-Suggests: subversion, subversion-tools, git-core | git (>= 1:1.7), cvs, kdesdk-scripts, bzr, mercurial, darcs, fossil, vcsh, liburi-perl, curl, ack-grep
-Provides: mr
-Replaces: mr
-Recommends: libwww-perl, libhtml-parser-perl, libio-pty-easy-perl, perl
+Depends:
+ ${misc:Depends}
+Suggests:
+ ack-grep,
+ bzr,
+ curl,
+ cvs,
+ darcs,
+ fossil,
+ git-core | git (>= 1:1.7),
+ kdesdk-scripts,
+ liburi-perl,
+ mercurial,
+ subversion,
+ subversion-tools,
+ vcsh
+Provides:
+ mr
+Replaces:
+ mr
+Recommends:
+ libhtml-parser-perl,
+ libio-pty-easy-perl,
+ libwww-perl,
+ perl
 Description: tool to manage all your version control repos
  The mr(1) command can checkout, update, or perform other actions on
  a set of repositories as if they were one combined respository. It

## myrepos 1.20180726~bpo9%2B1

=== debian/changelog ===
myrepos (1.20180726~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Paul Wise <pabs@debian.org>  Thu, 15 Nov 2018 13:37:39 +0800

myrepos (1.20180726) unstable; urgency=medium

  [ Andrew Bradford ]
  * Suggest perl-doc (Closes: #813738)

  [ Mark Haber ]
  * Fix hours_since for git fake bare repos (Closes: #828827)

  [ Tom Hoover ]
  * Fix 'no defined update command error' in example config

  [ Pavel Nakonechnyi ]
  * More meaningful names for temporary files

  [ Paul Wise ]
  * Mitigate vulns caused by git code execution (Closes: #840014, CVE-2018-7032)
  * Migrate from ack-grep to ack (Closes: #849600)
  * More reliable output supervision
  * Allow prepending commands to existing commands
  * Allow for fallback to default commands
  * Add support for caching command output
  * Add graph, remote, upgrade extensions
  * Improve the status output for CVS
  * Improve the git-cvs extension
  * Add shell extension to maintain a repo status cache
  * git registration improvements
  * webcheckout: prefer https transport
  * Suggest more tools that are used
  * Various packaging cleanups

 -- Paul Wise <pabs@debian.org>  Thu, 26 Jul 2018 14:14:21 +0800

myrepos (1.20171231) unstable; urgency=medium

  [ Joey Hess ]
  * Fix undefined value warning when using -j.

  [ Paul Wise ]
  * Join the Debian package maintainers
  * Bump Standards-Version, no changes needed

  [ Joey Hess ]
  * Improve error message when system exits -1. This was incorrectly
    displayed as a signal when in fact the program could not be run.

 -- Joey Hess <id@joeyh.name>  Sun, 31 Dec 2017 11:56:27 -0400

myrepos (1.20170129) unstable; urgency=medium

  * Strip .git extension when registering vsch repositories.
    Thanks, Don March
  * Disable git pager when mr status runs git stash list.
  * Added stow library. This lets dotfiles in repositories managed by mr
    be symlinked into the home directory by GNU stow.
    Thanks, Sean Whitton and Adam Spiers.
  * cvs_status: do not fail when all files are up to date.
    Thanks, Paul Wise.
  * Added dgit plugin.
    Thanks, Sean Whitton.

 -- Joey Hess <id@joeyh.name>  Sun, 29 Jan 2017 14:14:19 -0400

## myrepos 1.20180726

=== Makefile ===
PREFIX:=/usr
BINDIR:=${PREFIX}/bin
MANDIR:=${PREFIX}/share/man
LIBDIR:=${PREFIX}/share/mr
LIBSHDIR:=${PREFIX}/share/mr.sh
EGDIR:=${PREFIX}/share/doc/myrepos/examples
TEST_PREFIX:=./

mans=mr.1 webcheckout.1

build: $(mans)

mr.1: mr
	pod2man -c mr mr | sed s/mailto:// > mr.1

webcheckout.1: webcheckout
	pod2man -c webcheckout webcheckout | sed s/mailto:// > webcheckout.1

test:
	(echo "[.]"; echo "checkout=") > .mrconfig
	HOME='${CURDIR}' ${TEST_PREFIX}mr --trust-all ed | grep -q "horse"
	rm -f .mrconfig

install: build
	install -d ${DESTDIR}${BINDIR}
	install -d ${DESTDIR}${MANDIR}/man1
	install -d ${DESTDIR}${LIBDIR}
	install -d ${DESTDIR}${LIBSHDIR}
	install -d ${DESTDIR}${EGDIR}

	install -m0755 mr ${DESTDIR}${BINDIR}/
	install -m0755 webcheckout ${DESTDIR}${BINDIR}/

	install -m0644 mr.1 ${DESTDIR}${MANDIR}/man1/
	install -m0644 webcheckout.1 ${DESTDIR}${MANDIR}/man1/

	install -m0644 lib/* ${DESTDIR}${LIBDIR}/
	install -m0644 lib.sh/* ${DESTDIR}${LIBSHDIR}/

	install -m0644 mrconfig ${DESTDIR}${EGDIR}/
	install -m0644 mrconfig.complex ${DESTDIR}${EGDIR}/
clean:
	rm -f $(mans)

=== debian/control ===
--- 
+++ 
@@ -2,44 +2,58 @@
 Section: vcs
 Priority: optional
 Build-Depends:
- debhelper (>= 9),
- dpkg-dev (>= 1.9.0)
+ debhelper (>= 10~),
+ dpkg-dev (>= 1.9.0),
 Maintainer: Richard Hartmann <richih@debian.org>
-Standards-Version: 3.9.6
-Homepage: http://myrepos.branchable.com/
+Uploaders:
+ Paul Wise <pabs@debian.org>,
+Standards-Version: 4.1.5
+Rules-Requires-Root: no
+Homepage: https://myrepos.branchable.com/
 Vcs-Git: git://myrepos.branchable.com/
+Vcs-Browser: http://source.myrepos.branchable.com/?p=source.git;a=summary
 
 Package: myrepos
 Architecture: all
-Section: vcs
+Multi-Arch: foreign
 Depends:
- ${misc:Depends}
+ perl,
+ ${misc:Depends},
 Suggests:
- ack-grep,
+ ack (>= 2.15.01) | ack-grep,
  bzr,
  curl,
  cvs,
  darcs,
+ dgit,
  fossil,
+ git-annex,
+ git-big-picture,
  git-core | git (>= 1:1.7),
+ git-svn,
+ gitk | tig,
  kdesdk-scripts,
  liburi-perl,
  mercurial,
+ perl-doc,
+ stow,
  subversion,
  subversion-tools,
- vcsh
+ unison,
+ vcsh,
+ xdg-utils,
 Provides:
- mr
+ mr,
 Replaces:
- mr
+ mr,
 Recommends:
+ libfile-homedir-perl,
  libhtml-parser-perl,
  libio-pty-easy-perl,
  libwww-perl,
- perl
 Description: tool to manage all your version control repos
  The mr(1) command can checkout, update, or perform other actions on
- a set of repositories as if they were one combined respository. It
+ a set of repositories as if they were one combined repository. It
  supports any combination of git, svn, mercurial, bzr, darcs, cvs, vcsh,
  fossil, and veracity repositories, and support for other version control
  systems can easily be added. (There are extensions adding support for unison

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	sed -i '1s_^#!.*perl_#!/usr/bin/perl_' debian/myrepos/usr/bin/*

# Not intended for use by anyone except the author.
announcedir:
	@echo ${HOME}/src/myrepos/doc/news

=== debian/tests/control ===
Test-Command: make test TEST_PREFIX=/usr/bin/

## myrepos 1.20180726build1

=== debian/changelog ===
myrepos (1.20180726build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 24 Nov 2025 13:27:19 +0000

## myrepos 1.20180726+nmu1

=== debian/changelog ===
myrepos (1.20180726+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 16:14:24 +0800
